#!/bin/bash
DEFAULT_RISK_SERVICE_URL="http://localhost:8080"
DEFAULT_REVIT_MS_URL="http://localhost:8080"


if [ -z "$RISK_SERVICE_URL" ]
then
	echo "env variable RISK_SERVICE_URL not set. use default ${DEFAULT_RISK_SERVICE_URL}"
    export RISK_SERVICE_URL=${DEFAULT_RISK_SERVICE_URL}
fi

if [ -z "$REVIT_MS_URL" ]
then
	echo "env variable REVIT_MS_URL not set. use default ${DEFAULT_REVIT_MS_URL}"
    export REVIT_MS_URL=${DEFAULT_REVIT_MS_URL}
fi

echo "RISK_SERVICE_URL env var: ${RISK_SERVICE_URL}"
echo "REVIT_MS_URL env var: ${REVIT_MS_URL}"

envsubst '$$PORT $$RISK_SERVICE_URL $$REVIT_MS_URL' < /etc/nginx/conf.d/default.conf.template > /etc/nginx/conf.d/default.conf
